#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Sat Mar 21 22:55:31 2020

@author: xofe
"""

import matplotlib.pyplot as plt
nPoints = 10
V0 = 4.
t = [i * 0.04 for i in range (nPoints + 1)]
x = [V0 * i for i in t]
y = [0 * i for i in range(nPoints + 1)]
v = [(x[i+1] - x[i]) / 0.04 for i in range(nPoints)]

plt.scatter(x, y, marker = "o", color = "blue", label = "Positions successives")
plt.quiver(x[:-1:2], y[:-1:2], v[::2], 0, units = "dots", scale = 0.05, label = "Vecteur vitesse")
plt.legend(loc = 'center', bbox_to_anchor = (0.5, 0.60))
plt.show()
